<div class="container">
    <form class="mat-dialog-content" id="idFormModalidad" [formGroup]="formsActualiza">
        <div class="row">
            <mat-toolbar color="primary">
                <span>Actualiza Alumno</span>
            </mat-toolbar>
        </div>
        <div class="row" style="margin-top: 3%">

            <mat-form-field class="col-md-8">
                <mat-label>Nombres</mat-label>
                <input matInput [(ngModel)]="alumno.nombres" name="nombres" formControlName="validaNombres" maxlength="30">
                <mat-hint style="color: red" *ngIf="formsActualiza.controls.validaNombres.touched">
                    <span *ngIf="formsActualiza.controls.validaNombres.hasError('required')">
                           El nombre es requerido 
                    </span>
                    <span *ngIf="formsActualiza.controls.validaNombres.hasError('pattern')">
                        El nombre es de 3 a 30 caracteres 
                 </span>
                </mat-hint>  
            </mat-form-field>

            <mat-form-field class="col-md-8">
                <mat-label>Apellidos</mat-label>
                <input matInput [(ngModel)]="alumno.apellidos" name="apellidos" formControlName="validaApellidos" maxlength="30">
                <mat-hint style="color: red" *ngIf="formsActualiza.controls.validaApellidos.touched">
                    <span *ngIf="formsActualiza.controls.validaApellidos.hasError('required')">
                           Los apellidos son requeridos
                    </span>
                    <span *ngIf="formsActualiza.controls.validaApellidos.hasError('pattern')">
                        Entre 3 y 30 caracteres 
                 </span>
                </mat-hint>  
            </mat-form-field>

            <mat-form-field class="col-md-4">
                <mat-label>Teléfono</mat-label>
                <input matInput [(ngModel)]="alumno.telefono" name="telefono" formControlName="validaTelefono">
                <mat-hint style="color: red" *ngIf="formsActualiza.controls.validaTelefono.touched">
                    <span *ngIf="formsActualiza.controls.validaTelefono.hasError('required')">
                           Ingrese el numero de telefono
                    </span>
                    <span *ngIf="formsActualiza.controls.validaTelefono.hasError('pattern')">
                        Deben ser números
                    </span> 
                </mat-hint>  
            </mat-form-field>

            <mat-form-field class="col-md-4">
                <mat-label>DNI</mat-label>
                <input matInput [(ngModel)]="alumno.dni" name="dni" formControlName="validaDni" maxlength="8">
                <mat-hint style="color: red" *ngIf="formsActualiza.controls.validaDni.touched">
                    <span *ngIf="formsActualiza.controls.validaDni.hasError('required')">
                           Ingrese el numero de DNI
                    </span>
                    <span *ngIf="formsActualiza.controls.validaDni.hasError('pattern')">
                        Deben ser números de 8 digitos
                    </span>                       
                </mat-hint> 
            </mat-form-field>

            <mat-form-field class="col-md-4">
                <mat-label>Correo</mat-label>
                <input matInput [(ngModel)]="alumno.correo" name="correo" formControlName="validaCorreo">
                <mat-hint style="color: red" *ngIf="formsActualiza.controls.validaCorreo.touched">
                    <span *ngIf="formsActualiza.controls.validaCorreo.hasError('required')">
                           Ingrese su correo electrónico
                    </span>
                    <span *ngIf="formsActualiza.controls.validaCorreo.hasError('email')">
                        en formato "abs@extension.com"
                    </span>  
                </mat-hint>  
            </mat-form-field>

            <mat-form-field class="col-md-4">
                <mat-label>Nacimiento</mat-label>
                <input matInput type="date" [(ngModel)]="alumno.fechaNacimiento" name="fechaNacimiento" formControlName="validaNacimiento">
            </mat-form-field>
        </div>
        <div class="row" style="margin-top: 5%">

            <mat-form-field class="col-md-4">
                <mat-label>País</mat-label>
                <mat-select  name="pais"  [(ngModel)]="alumno.pais!.idPais" formControlName="validaPais">
                    <mat-option value="-1"> [Seleccione] </mat-option>
                    <mat-option *ngFor="let x of pais"  [value]="x.idPais">
                        {{x.nombre}}
                    </mat-option> 
                </mat-select> 
                <mat-hint style="color: red" *ngIf="formsActualiza.controls.validaPais.touched">
                    <span *ngIf="formsActualiza.controls.validaPais.hasError('min')">
                           Seleccione el país
                    </span>
                </mat-hint>                   
            </mat-form-field> 
  
            <mat-form-field class="col-md-4">
                <mat-label>Modalidad</mat-label>
                <mat-select   name="modalidad"  [(ngModel)]="alumno.modalidad!.idDataCatalogo" formControlName="validaModalidad">
                    <mat-option value="-1"> [Seleccione] </mat-option>
                    <mat-option *ngFor="let x of modalidad"  [value]="x.idDataCatalogo">
                        {{x.descripcion}}
                    </mat-option> 
                </mat-select>    
                <mat-hint style="color: red" *ngIf="formsActualiza.controls.validaModalidad.touched">
                    <span *ngIf="formsActualiza.controls.validaModalidad.hasError('min')">
                           Seleccione su modalidad
                    </span>
                </mat-hint>                  
            </mat-form-field> 

        </div>

        <div mat-dialog-actions>
            <button mat-raised-button 
            type="submit" 
            (click) = "actualiza()"
            color="primary" 
            [disabled]="formsActualiza.invalid"
            [mat-dialog-close]="1">
            Actualiza
    </button>
    <button mat-button 
            color="primary">
            Salir
    </button>
        </div>

    </form>
</div>